gvfs-fuse_1.40.1-1ubuntu0.1_amd64.deb


Advertisement

Description

gvfs-fuse - userspace virtual filesystem - fuse server

Property Value
Distribution Ubuntu 19.04 (Disco Dingo)
Repository Ubuntu Updates Main amd64
Package filename gvfs-fuse_1.40.1-1ubuntu0.1_amd64.deb
Package name gvfs-fuse
Package version 1.40.1
Package release 1ubuntu0.1
Package architecture amd64
Package type deb
Category libs
Homepage https://wiki.gnome.org/Projects/gvfs
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 16.94 KB
Installed size 69.00 KB
gvfs is a userspace virtual filesystem where mounts run as separate
processes which you talk to via D-Bus. It also contains a gio module
that seamlessly adds gvfs support to all applications using the gio
API. It also supports exposing the gvfs mounts to non-gio applications
using fuse.
This package contains the gvfs-fuse server that exports gvfs mounts to
all applications using FUSE.

Alternatives

Package Version Architecture Repository
gvfs-fuse_1.40.1-1ubuntu0.1_i386.deb 1.40.1 i386 Ubuntu Updates Main
gvfs-fuse_1.40.1-1_i386.deb 1.40.1 i386 Ubuntu Main
gvfs-fuse_1.40.1-1_amd64.deb 1.40.1 amd64 Ubuntu Main
gvfs-fuse - - -

Requires

Name Value
fuse >= 2.8.4
gvfs = 1.40.1-1ubuntu0.1
libc6 >= 2.4
libfuse2 >= 2.8
libglib2.0-0 >= 2.57.2

Download

Type URL
Mirror archive.ubuntu.com
Binary Package gvfs-fuse_1.40.1-1ubuntu0.1_amd64.deb
Source Package gvfs

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install gvfs-fuse deb package:
    # sudo apt-get install gvfs-fuse

Changelog

2019-07-05 - Marc Deslauriers <marc.deslauriers@ubuntu.com>
gvfs (1.40.1-1ubuntu0.1) disco-security; urgency=medium
* SECURITY UPDATE: file ownership mishandling
- debian/patches/CVE-2019-12447-1.patch: allow changing file owner in
daemon/gvfsbackendadmin.c.
- debian/patches/CVE-2019-12447-2.patch: use fsuid to ensure correct
file ownership in daemon/gvfsbackendadmin.c.
- CVE-2019-12447
* SECURITY UPDATE: race conditions in admin backend
- debian/patches/CVE-2019-12448.patch: add query_info_on_read/write
functionality in daemon/gvfsbackendadmin.c.
- CVE-2019-12448
* SECURITY UPDATE: user and group ownership mishandling during move
- debian/patches/CVE-2019-12449.patch: ensure correct ownership when
moving to file:// uri in daemon/gvfsbackendadmin.c.
- CVE-2019-12449
* SECURITY UPDATE: incorrect D-Bus server socket restrictions
- debian/patches/CVE-2019-12795-1.patch: check that the connecting
client is the same user in daemon/gvfsdaemon.c.
- debian/patches/CVE-2019-12795-2.patch: only accept EXTERNAL
authentication in daemon/gvfsdaemon.c.
- CVE-2019-12795
2019-04-09 - Sebastien Bacher <seb128@ubuntu.com>
gvfs (1.40.1-1) experimental; urgency=medium
* New upstream release
2019-03-16 - Jeremy Bicha <jbicha@debian.org>
gvfs (1.40.0-1) experimental; urgency=medium
* New upstream release
* Drop test-Remove-trailing-newline-from-the-IP-string.patch: Applied
2019-02-25 - Jeremy Bicha <jbicha@debian.org>
gvfs (1.39.91-1) experimental; urgency=medium
* New upstream development release
* Add test-Remove-trailing-newline-from-the-IP-string.patch:
- Proposed patch to fix autopkgtest with glibc 2.29
2019-02-06 - Jeremy Bicha <jbicha@debian.org>
gvfs (1.39.90-1) experimental; urgency=medium
* New upstream development release
* Bump minimum meson to 0.49.0
2018-12-27 - Jeremy Bicha <jbicha@debian.org>
gvfs (1.38.1-2) unstable; urgency=medium
* Add -Wl,-O1 to our LDFLAGS
* debian/rules: Use dh_auto_build instead of make
* Bump Standards-Version to 4.3.0
2018-11-13 - Sebastien Bacher <seb128@ubuntu.com>
gvfs (1.38.1-1) unstable; urgency=medium
* New upstream release
2018-09-11 - Iain Lane <laney@debian.org>
gvfs (1.38.0-2) unstable; urgency=medium
* Install manpages into gvfs-common, as they were previously
2018-09-11 - Iain Lane <laney@debian.org>
gvfs (1.38.0-1) unstable; urgency=medium
* New upstream translation release
* Update gbp.conf to pkg-gnome's common file
* Bump Standards-Version to 4.2.1 (no changes required)
* Revert "d/watch: Watch for development versions"
* Build manpages for the deprecated commands too
2018-08-17 - Simon McVittie <smcv@debian.org>
gvfs (1.37.90-1) experimental; urgency=medium
* Team upload
* d/watch: Watch for development versions
* New upstream release
* debian/docs: Don't install AUTHORS, no longer provided upstream
* debian/docs: Install README.md
* d/source/lintian-overrides: Remove, no longer needed
(the Autotools build system has been removed)
* Update Meson build-dependency to 0.46.0
* Update GLib build-dependency to 2.57.2
* Reinstate deprecated command-line tools via debian/extra/ for now
* d/p/01_modules_dir.patch: Drop, no longer required
* d/p/04_hurd_path_max.patch: Drop, no longer required
* Build-depend on polkit 0.105-18~ for ITS rules
* d/p/Remove-version-from-polkit-gobject-dependency.patch:
Don't require polkit 0.114 for ITS rules since we have backported
that feature
* Normalize packaging with wrap-and-sort -ab
* Standards-Version: 4.2.0
* Deprecate the gvfs-bin package
* Use /usr/share/dpkg/default.mk
* Tell dpkg-shlibdeps about our private libraries

See Also

Package Description
gvfs-libs_1.40.1-1ubuntu0.1_amd64.deb userspace virtual filesystem - private libraries
gvfs_1.40.1-1ubuntu0.1_amd64.deb userspace virtual filesystem - GIO module
ibus-doc_1.5.19-1ubuntu2.2_all.deb Intelligent Input Bus - development documentation
ibus-gtk3_1.5.19-1ubuntu2.2_amd64.deb Intelligent Input Bus - GTK+3 support
ibus-gtk_1.5.19-1ubuntu2.2_amd64.deb Intelligent Input Bus - GTK+2 support
ibus-libpinyin_1.11.0-1ubuntu0.19.04_amd64.deb Intelligent Pinyin engine based on libpinyin for IBus
ibus-mozc_2.23.2815.102+dfsg-2ubuntu1.0.19.04.1_amd64.deb Mozc engine for IBus - Client of the Mozc input method
ibus_1.5.19-1ubuntu2.2_amd64.deb Intelligent Input Bus - core
ibverbs-providers_22.1-1ubuntu0.1_amd64.deb User space provider drivers for libibverbs
imagemagick-6-common_6.9.10.14+dfsg-7ubuntu2.2_all.deb image manipulation programs -- infrastructure
initramfs-tools-bin_0.131ubuntu19.1_amd64.deb binaries used by initramfs-tools
initramfs-tools-core_0.131ubuntu19.1_all.deb generic modular initramfs generator (core tools)
initramfs-tools_0.131ubuntu19.1_all.deb generic modular initramfs generator (automation)
intel-microcode_3.20190618.0ubuntu0.19.04.1_amd64.deb Processor microcode firmware for Intel CPUs
iproute2-doc_4.18.0-1ubuntu2.1_all.deb networking and traffic control tools - documentation
Advertisement
Advertisement